#include <iostream>
#include <vector>
#include <string>

enum class Pohlavi {
    muz,
    zena
};

using jmena_vec = std::vector<std::string>;

Pohlavi urci_pohlavi(const std::string& jmeno){
    if (jmeno.back() == 'a'){
        return Pohlavi::zena;
    } else {
        return Pohlavi::muz;
    }
}

jmena_vec pridej_osloveni(const jmena_vec& jmena){
    jmena_vec rozsirena_jmena;
    for (const auto& jm : jmena){
        switch(urci_pohlavi(jm)){
        case Pohlavi::muz:
            rozsirena_jmena.push_back("pan " + jm);
            break;
        case Pohlavi::zena:
            rozsirena_jmena.push_back("slecna " + jm);
            break;
        }
    }
    return rozsirena_jmena;
}
 

int main() {
    jmena_vec jmena = { "Petr", "Jan", "Jana", "Karel", "Katka" };
    auto rozsirena_jmena = pridej_osloveni(jmena);

    for (const auto& s : rozsirena_jmena) {
        std::cout << s << '\n';
    }
}
